org.eclipse.net4j.util.concurrent

## Class AsynchronousWorkSerializer

- java.lang.Object
- - org.eclipse.net4j.util.concurrent.AsynchronousWorkSerializer

- All Implemented Interfaces:
    Runnable, IExecutorServiceProvider, IWorkSerializer

  Deprecated.
  As of 3.6 use `ExecutorWorkSerializer`.

      @Deprecated
      public class AsynchronousWorkSerializer
      extends Object
      implements IWorkSerializer, IExecutorServiceProvider, Runnable

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsynchronousWorkSerializer(ExecutorService executorService)` Deprecated.
    `AsynchronousWorkSerializer(ExecutorService executorService, Queue<Runnable> workQueue)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addWork(Runnable work)` Deprecated.
    `void` | `dispose()` Deprecated.
    `ExecutorService` | `getExecutorService()` Deprecated.
    `void` | `run()` Deprecated. Executed in the context of the `executor service`.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AsynchronousWorkSerializer

          public AsynchronousWorkSerializer(ExecutorService executorService,
                                            Queue<Runnable> workQueue)

      Deprecated.

    - #### AsynchronousWorkSerializer

          public AsynchronousWorkSerializer(ExecutorService executorService)

      Deprecated.

  - ### Method Detail

    - #### getExecutorService

          public ExecutorService getExecutorService()

      Deprecated.
      Specified by:
        `getExecutorService` in interface `IExecutorServiceProvider`

    - #### addWork

          public boolean addWork(Runnable work)

      Deprecated.
      Specified by:
        `addWork` in interface `IWorkSerializer`

    - #### run

          public void run()

      Deprecated.
      Executed in the context of the `executor service`.

      Specified by:
        `run` in interface `Runnable`

    - #### dispose

          public void dispose()

      Deprecated.
      Specified by:
        `dispose` in interface `IWorkSerializer`

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html